Page MenuHomePhabricator
Paste P2042

(An Untitled Masterwork)
ActivePublic

Authored by amckinley on Apr 24 2017, 11:17 PM.
```
Austins-MacBook-Pro:arcanist amckinley$ arc diff
Linting...
LINT OKAY No lint problems.
Running unit tests...
PASS 98ms ArcanistLinterStandardTestCase::testLoadAllStandards
PASS 98ms ArcanistChmodLinterTestCase::testLinter
SKIP ArcanistCSSLintLinterTestCase::testVersion
Unable to locate binary "csslint" to run linter ArcanistCSSLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install CSSLint using `npm install -g csslint`.
SKIP ArcanistCSSLintLinterTestCase::testLinter
Unable to locate binary "csslint" to run linter ArcanistCSSLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install CSSLint using `npm install -g csslint`.
PASS 37ms★ ArcanistClosureLinterTestCase::testVersion
SKIP ArcanistClosureLinterTestCase::testLinter
Unable to locate binary "gjslint" to run linter ArcanistClosureLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install gjslint using `pip install closure-linter`.
SKIP ArcanistCoffeeLintLinterTestCase::testLinter
Unable to locate binary "coffeelint" to run linter ArcanistCoffeeLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install CoffeeLint using `npm install -g coffeelint`.
SKIP ArcanistCoffeeLintLinterTestCase::testVersion
Unable to locate binary "coffeelint" to run linter ArcanistCoffeeLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install CoffeeLint using `npm install -g coffeelint`.
SKIP ArcanistCppcheckLinterTestCase::testVersion
Unable to locate binary "cppcheck" to run linter ArcanistCppcheckLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install Cppcheck using `apt-get install cppcheck` or similar.
SKIP ArcanistCppcheckLinterTestCase::testLinter
Unable to locate binary "cppcheck" to run linter ArcanistCppcheckLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install Cppcheck using `apt-get install cppcheck` or similar.
PASS 40ms★ ArcanistCpplintLinterTestCase::testVersion
SKIP ArcanistCpplintLinterTestCase::testLinter
Unable to locate binary "cpplint.py" to run linter ArcanistCpplintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install cpplint.py using `wget https://raw.github.com/google/styleguide/gh-pages/cpplint/cpplint.py`, and place it in your path with the appropriate permissions set.
SKIP ArcanistFlake8LinterTestCase::testLinter
Unable to locate binary "flake8" to run linter ArcanistFlake8Linter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install flake8 using `pip install flake8`.
SKIP ArcanistFlake8LinterTestCase::testVersion
Unable to locate binary "flake8" to run linter ArcanistFlake8Linter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install flake8 using `pip install flake8`.
PASS 37ms★ ArcanistGoLintLinterTestCase::testVersion
SKIP ArcanistGoLintLinterTestCase::testLinter
Unable to locate binary "golint" to run linter ArcanistGoLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install Golint using `go get github.com/golang/lint/golint`.
SKIP ArcanistHLintLinterTestCase::testLinter
Unable to locate binary "hlint" to run linter ArcanistHLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install hlint with `cabal install hlint`.
SKIP ArcanistHLintLinterTestCase::testVersion
Unable to locate binary "hlint" to run linter ArcanistHLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install hlint with `cabal install hlint`.
SKIP ArcanistJSHintLinterTestCase::testVersion
Unable to locate binary "jshint" to run linter ArcanistJSHintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install JSHint using `npm install -g jshint`.
SKIP ArcanistJSHintLinterTestCase::testLinter
Unable to locate binary "jshint" to run linter ArcanistJSHintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install JSHint using `npm install -g jshint`.
SKIP ArcanistJSONLintLinterTestCase::testLinter
Unable to locate binary "jsonlint" to run linter ArcanistJSONLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install jsonlint using `npm install -g jsonlint`.
SKIP ArcanistJSONLintLinterTestCase::testVersion
Unable to locate binary "jsonlint" to run linter ArcanistJSONLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install jsonlint using `npm install -g jsonlint`.
SKIP ArcanistJscsLinterTestCase::testLinter
Unable to locate binary "jscs" to run linter ArcanistJscsLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install JSCS using `npm install -g jscs`.
SKIP ArcanistJscsLinterTestCase::testVersion
Unable to locate binary "jscs" to run linter ArcanistJscsLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install JSCS using `npm install -g jscs`.
SKIP ArcanistLesscLinterTestCase::testVersion
Unable to locate binary "lessc" to run linter ArcanistLesscLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install lessc using `npm install -g less`.
SKIP ArcanistLesscLinterTestCase::testLinter
Unable to locate binary "lessc" to run linter ArcanistLesscLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install lessc using `npm install -g less`.
SKIP ArcanistPEP8LinterTestCase::testLinter
Unable to locate binary "pep8" to run linter ArcanistPEP8Linter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PEP8 using `pip install pep8`.
SKIP ArcanistPEP8LinterTestCase::testVersion
Unable to locate binary "pep8" to run linter ArcanistPEP8Linter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PEP8 using `pip install pep8`.
PASS 82ms ArcanistPhpLinterTestCase::testVersion
PASS 395ms ArcanistPhpLinterTestCase::testLinter
SKIP ArcanistPhpcsLinterTestCase::testLinter
Unable to locate binary "phpcs" to run linter ArcanistPhpcsLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PHPCS with `pear install PHP_CodeSniffer`.
SKIP ArcanistPhpcsLinterTestCase::testVersion
Unable to locate binary "phpcs" to run linter ArcanistPhpcsLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PHPCS with `pear install PHP_CodeSniffer`.
SKIP ArcanistPuppetLintLinterTestCase::testVersion
Unable to locate binary "puppet-lint" to run linter ArcanistPuppetLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install puppet-lint using `gem install puppet-lint`.
SKIP ArcanistPuppetLintLinterTestCase::testLinter
Unable to locate binary "puppet-lint" to run linter ArcanistPuppetLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install puppet-lint using `gem install puppet-lint`.
SKIP ArcanistPyFlakesLinterTestCase::testLinter
Unable to locate binary "pyflakes" to run linter ArcanistPyFlakesLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install pyflakes with `pip install pyflakes`.
SKIP ArcanistPyFlakesLinterTestCase::testVersion
Unable to locate binary "pyflakes" to run linter ArcanistPyFlakesLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install pyflakes with `pip install pyflakes`.
SKIP ArcanistPyLintLinterTestCase::testVersion
Unable to locate binary "pylint" to run linter ArcanistPyLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PyLint using `pip install pylint`.
SKIP ArcanistPyLintLinterTestCase::testLinter
Unable to locate binary "pylint" to run linter ArcanistPyLintLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install PyLint using `pip install pylint`.
SKIP ArcanistRuboCopLinterTestCase::testLinter
Unable to locate binary "rubocop" to run linter ArcanistRuboCopLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install RuboCop using `gem install rubocop`.
SKIP ArcanistRuboCopLinterTestCase::testVersion
Unable to locate binary "rubocop" to run linter ArcanistRuboCopLinter. You may need to install the binary, or adjust your linter configuration.
TO INSTALL: Install RuboCop using `gem install rubocop`.
PASS 383ms ArcanistRubyLinterTestCase::testLinter
PASS 59ms ArcanistRubyLinterTestCase::testVersion
PASS 86ms ArcanistFilenameLinterTestCase::testLinter
PASS 89ms ArcanistGeneratedLinterTestCase::testLinter
PASS 746ms ArcanistJSONLinterTestCase::testLinter
PASS 80ms ArcanistMergeConflictLinterTestCase::testLinter
PASS 95ms ArcanistNoLintLinterTestCase::testLinter
PASS 38ms★ ArcanistSpellingLinterTestCase::testFixLetterCase
PASS 180ms ArcanistSpellingLinterTestCase::testLinter
PASS 232ms ArcanistTextLinterTestCase::testLinter
PASS 2.6s ArcanistXHPASTLinterTestCase::testLinter
PASS 436ms ArcanistXMLLinterTestCase::testLinter
PASS 154ms ArcanistLibraryTestCase::testLibraryMap
PASS 126ms ArcanistLibraryTestCase::testEverythingImplemented
PASS 872ms ArcanistLibraryTestCase::testMethodVisibility
```